> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List banks available for pay-by-bank

> Returns the institutions the organisation's payer can pay bills from via open banking, plus the mandatory Yapily Connect disclosure that MUST be rendered verbatim on the consent screen. Sandbox-mode clients see Yapily sandbox institutions.



## OpenAPI

````yaml /api-reference/openapi.json get /bank-payments/institutions
openapi: 3.1.1
info:
  title: Dolfin API
  description: >-
    Dolfin API for AR & AP. Authenticate using the `x-dolfin-api-key` header
    with the API key distributed to your organisation.
  version: v1
servers:
  - url: https://api.dolfinai.co
    description: Production
security:
  - {}
tags:
  - name: Webhooks
  - name: Users
  - name: TaxRates
  - name: Suppliers
  - name: Supplier Credit Notes
  - name: Bills
  - name: SpendCategories
  - name: Payables
  - name: RecurringInvoices
  - name: Receivables
  - name: Purchase Orders
  - name: Products
  - name: Payments
  - name: Invoices
  - name: Organisations
  - name: Members
  - name: MCP
  - name: Matching
  - name: Invoice Reminders
  - name: Industries
  - name: Gmail
  - name: Delivery Notes
  - name: Customers
  - name: Currencies
  - name: Credit Notes
  - name: Clients
  - name: ClientInvites
  - name: BankPayments
  - name: Bank details
  - name: Auth
  - name: ApprovalPolicies
  - name: ApiKeys
  - name: Agent
paths:
  /bank-payments/institutions:
    get:
      tags:
        - BankPayments
      summary: List banks available for pay-by-bank
      description: >-
        Returns the institutions the organisation's payer can pay bills from via
        open banking, plus the mandatory Yapily Connect disclosure that MUST be
        rendered verbatim on the consent screen. Sandbox-mode clients see Yapily
        sandbox institutions.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentInstitutionsResponse'
        '503':
          description: >-
            Service Unavailable


            BankPayment.NotConfigured — pay-by-bank is not enabled for this
            environment
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    PaymentInstitutionsResponse:
      required:
        - institutions
        - disclosure
      type: object
      properties:
        institutions:
          type: array
          items:
            $ref: '#/components/schemas/PaymentInstitutionResponse'
        disclosure:
          $ref: '#/components/schemas/YapilyDisclosure'
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
    PaymentInstitutionResponse:
      required:
        - id
        - name
        - fullName
        - countries
        - iconUrl
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        fullName:
          type:
            - 'null'
            - string
        countries:
          type: array
          items:
            type: string
        iconUrl:
          type:
            - 'null'
            - string
    YapilyDisclosure:
      required:
        - text
        - termsUrl
        - privacyUrl
      type: object
      properties:
        text:
          type: string
        termsUrl:
          type: string
        privacyUrl:
          type: string

````